

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>AM62AX Host Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="AM62AX Devices Descriptions" href="devices.html"/>
        <link rel="prev" title="AM62X Device Group descriptions" href="../am62x/soc_devgrps.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr1">AM65x SR1</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr2">AM65x SR2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am64x">AM64x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62x">AM62x</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#am62ax">AM62Ax</a><ul class="current">
<li class="toctree-l3 current"><a class="current reference internal" href="#">AM62AX Host Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#enumeration-of-host-ids">Enumeration of Host IDs</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">AM62AX Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">AM62AX Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="pll_data.html">AM62AX PLL Defaults</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">AM62AX Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="interrupt_cfg.html">AM62AX Interrupt Management Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="ra_cfg.html">AM62AX Ring Accelerator Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="dma_cfg.html">AM62AX DMA Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="psil_cfg.html">AM62AX PSI-L Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="proxy_cfg.html">AM62A Proxy Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">AM62AX Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">AM62AX Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">AM62AX Firewall Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_devgrps.html">AM62AX Device Group descriptions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62px">AM62Px</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am275x">AM275x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62lx">AM62Lx</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721e">J721E</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j7200">J7200</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721s2">J721S2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j722s">J722S</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j784s4">J784S4</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>AM62AX Host Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="am62ax-host-descriptions">
<h1>AM62AX Host Descriptions<a class="headerlink" href="#am62ax-host-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<span id="soc-doc-am62ax-public-host-desc-intro"></span><h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on the set of HostIDs permitted
in this AM62AX SoC. HostIDs uniquely identify each logically distinct high level
software entity. A software entity identification number (HostID) can be
assigned to an OS either native or virtualized, or a firmware/native
application. The HostID is used to select the set of Secure Proxy channels for
which this software entity should use to communicate with the System Firmware.</p>
<p>As an example with an R5 core, then there could be 0, 1, or n number of
R5 related hosts. The only limit is the number of available Secure Proxy
Channels. Typically though, an R5 core will be assigned one secure host as well as one non
secure host, but may be assigned additional hosts for certain usecases. As for other
cores, some will only use secure hosts, and others will only use non secure hosts.
Since the hosts are tied to Secure Proxy Channels, hosts are just a way of sectioning
off data for a designated purpose.</p>
<p>System Firmware also checks that the used HostID comes from software running
on the correct core (as implied by Host Name in the below table) and with the
correct security level (Security Status column).</p>
<p>Additionally, one of the key reasons why HostID is tied in with Secure Proxy
channels is because it prevents spoofing. When a message is received by
System Firmware, the Secure Proxy channel tied to the HostID in the message is
verified against the Secure Proxy channel on which the message was received.
Specifically, only the HostID listed in the “Host Name” column can use the Secure
Proxy channel associated with it.</p>
</div>
<div class="section" id="enumeration-of-host-ids">
<span id="soc-doc-am62ax-public-host-desc-host-list"></span><h2>Enumeration of Host IDs<a class="headerlink" href="#enumeration-of-host-ids" title="Permalink to this headline">¶</a></h2>
<table border="1" class="docutils">
<colgroup>
<col width="13%" />
<col width="15%" />
<col width="22%" />
<col width="51%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Host ID</th>
<th class="head">Host Name</th>
<th class="head">Security Status</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>0</td>
<td>TIFS</td>
<td>Secure</td>
<td>TI Foundational Security</td>
</tr>
<tr class="row-odd"><td>10</td>
<td>A53_0</td>
<td>Secure</td>
<td>Cortex A53 context 0 on Main island</td>
</tr>
<tr class="row-even"><td>11</td>
<td>A53_1</td>
<td>Secure</td>
<td>Cortex A53 context 1 on Main island</td>
</tr>
<tr class="row-odd"><td>12</td>
<td>A53_2</td>
<td>Non Secure</td>
<td>Cortex A53 context 2 on Main island</td>
</tr>
<tr class="row-even"><td>13</td>
<td>A53_3</td>
<td>Non Secure</td>
<td>Cortex A53 context 3 on Main island</td>
</tr>
<tr class="row-odd"><td>14</td>
<td>A53_4</td>
<td>Non Secure</td>
<td>Cortex A53 context 4 on Main island</td>
</tr>
<tr class="row-even"><td>20</td>
<td>C7X_0_0</td>
<td>Non Secure</td>
<td>C7x_0 Context 0 on Main island</td>
</tr>
<tr class="row-odd"><td>30</td>
<td>MCU_0_R5_0</td>
<td>Non Secure</td>
<td>MCU R5</td>
</tr>
<tr class="row-even"><td>35</td>
<td>MAIN_0_R5_0</td>
<td>Secure</td>
<td>Cortex R5_0 context 0 on Main island(BOOT)</td>
</tr>
<tr class="row-odd"><td>36</td>
<td>MAIN_0_R5_1</td>
<td>Non Secure</td>
<td>Cortex R5_0 context 1 on Main island</td>
</tr>
<tr class="row-even"><td>37</td>
<td>MAIN_0_R5_2</td>
<td>Secure</td>
<td>Cortex R5_0 context 2 on Main island</td>
</tr>
<tr class="row-odd"><td>38</td>
<td>MAIN_0_R5_3</td>
<td>Non Secure</td>
<td>Cortex R5_0 context 3 on Main island</td>
</tr>
<tr class="row-even"><td>250</td>
<td>DM2TIFS</td>
<td>Secure</td>
<td>DM to TIFS communication</td>
</tr>
<tr class="row-odd"><td>251</td>
<td>TIFS2DM</td>
<td>Non Secure</td>
<td>TIFS to DM communication</td>
</tr>
<tr class="row-even"><td>253</td>
<td>HSM</td>
<td>Secure</td>
<td>HSM Controller</td>
</tr>
<tr class="row-odd"><td>254</td>
<td>DM</td>
<td>Non Secure</td>
<td>Device Management</td>
</tr>
</tbody>
</table>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<ul class="last simple">
<li>Description provides an intended purpose
of the host ID, though on some systems,
this might be used differently, backing memory and
link allocations are made with the specified purpose
in mind</li>
<li>Security Status provides an intended purpose for the
Host context</li>
</ul>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="devices.html" class="btn btn-neutral float-right" title="AM62AX Devices Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="../am62x/soc_devgrps.html" class="btn btn-neutral" title="AM62X Device Group descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>